- Qt 5.15
- Qt GUI
- C++ Classes
- QHideEvent
- Qt 5.15.18 Reference Documentation

# QHideEvent Class

The QHideEvent class provides an event which is sent after a widget is hidden. More...

Header: | #include <QHideEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QHideEvent()

## Detailed Description

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

If spontaneous() is true, the event originated outside the application. In this case, the user hid the window using the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window is not visible. The window will become hidden but not withdrawn. If the window was iconified, QWidget::isMinimized() returns `true`.

See also QShowEvent.

## Member Function Documentation

### QHideEvent::QHideEvent()

Constructs a QHideEvent.